Rename talk namespaces in Javanese wikis: 'Dhiskusi' to 'Parembugan'
Closed, ResolvedPublic

Description

Javanese Wikipedia has been using the term Dhiskusi (a loanword, literally means "Discussion") to name the talk namespaces, equal to the term "Talk" in English, since the beginning. However, the term Dhiskusi is not usual for us Javanese since we already get used to with term Parembugan (Javanese word for 'discussion') in daily basis.

I've been discussing about this with the founder of Javanese Wikipedia, @Meursault2004, that he agreed about renaming the namespace from Dhiskusi to Parembugan. The discussion is in here (in Javanese).

FYI, Javanese Wikipedia is an empty creepy Wikipedia with me and my bot likely the only ones wandering there. Some said we need to vote about it. But considering the lack of users, I doubt if the vote can take place well. So far, two persons (@Meursault2004 & I) agree about this change and nobody is against it.

Please let me know what I can do to maintain Javanese Wikipedia. Thank you in advance.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2017, 1:17 AM
MarcoAurelio added a subscriber: MarcoAurelio.

This is set in MediaWiki core. I'll take a look.

Change 333579 had a related patch set uploaded (by MarcoAurelio):
Amend $namespaces in core for Javanese (jv)

https://gerrit.wikimedia.org/r/333579

Nemo_bis changed the title from "Renaming Talk Namespaces in Javanese Wikipedia: 'Dhiskusi' to 'Parembugan'" to "Rename talk namespaces in Javanese wikis: 'Dhiskusi' to 'Parembugan'".Jan 31 2017, 2:10 PM
Nemo_bis triaged this task as "Normal" priority.

Change 333579 merged by jenkins-bot:
Amend $namespaces in core for Javanese (jv)

https://gerrit.wikimedia.org/r/333579

Change 335416 had a related patch set uploaded (by MarcoAurelio):
Ib315fc5f to RELEASE-NOTES-1.29

https://gerrit.wikimedia.org/r/335416

@Nikerabbit To complete this task is it necessary to run any maintenance script afterwards?

It should be run yes.

This comment was removed by MarcoAurelio.
MarcoAurelio added a comment.EditedFeb 1 2017, 10:40 AM

@Nikerabbit Which one (or ones), please? I can arrange to have this cherry-picked and taken care of now so when wmf.11 arrives to the wiki everything is set. Please advice. Thanks!

Change 335416 merged by jenkins-bot:
Ib315fc5f to RELEASE-NOTES-1.29

https://gerrit.wikimedia.org/r/335416

Change 335428 had a related patch set uploaded (by MarcoAurelio):
Amend $namespaces in core for Javanese (jv)

https://gerrit.wikimedia.org/r/335428

Change 335429 had a related patch set uploaded (by MarcoAurelio):
Amend $namespaces in core for Javanese (jv)

https://gerrit.wikimedia.org/r/335429

@Nikerabbit I've cherry-picked the $namespace amendments to wmf/1.29.0-wmf.9 and wmf/1.29.0-wmf.10.

Check before deployment: jv.wikipedia and jv.wikisource namespaces are clean

Change 335428 merged by jenkins-bot:
Amend $namespaces in core for Javanese (jv)

https://gerrit.wikimedia.org/r/335428

Change 335429 merged by jenkins-bot:
Amend $namespaces in core for Javanese (jv)

https://gerrit.wikimedia.org/r/335429

Mentioned in SAL (#wikimedia-operations) [2017-02-01T14:21:44Z] <dereckson@tin> Synchronized php-1.29.0-wmf.10/languages/messages/MessagesJv.php: Update namespace localisation in Javanese (T155957) (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2017-02-01T14:24:40Z] <dereckson@tin> Synchronized php-1.29.0-wmf.9/languages/messages/MessagesJv.php: Update namespace localisation in Javanese (T155957) (duration: 00m 40s)

MarcoAurelio closed this task as "Resolved".Feb 1 2017, 3:21 PM

Namespace names have been updated. Special thanks to @Dereckson for doing the deployment.

@cahyo.ramadhani Please check if Pembicaraan Modul: is also correct (Module talk: in english).

cahyo.ramadhani added a comment.EditedFeb 2 2017, 12:42 AM

@MarcoAurelio Pembicaraan Modul: is an Indonesian term. It's supposed to be Parembugan Modul: in Javanese.

@Dereckson Many thanks!